# 📫 MIME Meta Language [![Crates.io](https://img.shields.io/crates/v/mml-cli)](https://crates.io/crates/mml-cli) [![Matrix](https://img.shields.io/matrix/pimalaya.mml:matrix.org?color=success&label=chat)](https://matrix.to/#/#pimalaya.mml:matrix.org)

CLI to compile [MML] messages to [MIME] messages and interpret [MIME] messages as [MML] messages, based on [mml-lib].

[MML]: https://www.gnu.org/software/emacs/manual/html_node/emacs-mime/MML-Definition.html
[MIME]: https://www.rfc-editor.org/rfc/rfc2045
[mml-lib]: https://sr.ht/~soywod/pimalaya/

## Features

- MML to MIME messages compilation (`mml compile --help`)
- MIME to MML messages interpretation (`mml interpret --help`)

## Installation

<table align="center">
<tr>
<td width="50%">
<a href="https://repology.org/project/mml/versions">
<img src="https://repology.org/badge/vertical-allrepos/mml.svg" alt="Packaging status" />
</a>
</td>
<td width="50%">

```bash
# Cargo
$ cargo install mml-cli

# Nix
$ nix-env -i mml
```

*See the [documentation](https://pimalaya.org/mml/cli/installation/index.html) for other installation methods.*

</td>
</tr>
</table>

## Configuration

Please read the [documentation](https://pimalaya.org/mml/cli/configuration/index.html).

## Contributing

If you want to **report a bug** that [does not exist yet](https://todo.sr.ht/~soywod/pimalaya), please send an email at [~soywod/pimalaya@todo.sr.ht](mailto:~soywod/pimalaya@todo.sr.ht).

If you want to **propose a feature** or **fix a bug**, please send a patch at [~soywod/pimalaya@lists.sr.ht](mailto:~soywod/pimalaya@lists.sr.ht) using [git send-email](https://git-scm.com/docs/git-send-email). Follow [this guide](https://git-send-email.io/) to configure git properly.

If you just want to **discuss** about the project, feel free to join the [Matrix](https://matrix.org/) workspace [#pimalaya.mml](https://matrix.to/#/#pimalaya.mml:matrix.org) or contact me directly [@soywod](https://matrix.to/#/@soywod:matrix.org). You can also use the mailing list [[send an email](mailto:~soywod/pimalaya@lists.sr.ht)|[subscribe](mailto:~soywod/pimalaya+subscribe@lists.sr.ht)|[unsubscribe](mailto:~soywod/pimalaya+unsubscribe@lists.sr.ht)].

## Sponsoring

[![nlnet](https://nlnet.nl/logo/banner-160x60.png)](https://nlnet.nl/project/Himalaya/index.html)

Special thanks to the [NLnet foundation](https://nlnet.nl/project/Himalaya/index.html) and the [European Commission](https://www.ngi.eu/) that helped the project to receive financial support from:

- [NGI Assure](https://nlnet.nl/assure/) in 2022
- [NGI Zero Untrust](https://nlnet.nl/entrust/) in 2023

If you appreciate the project, feel free to donate using one of the following providers:

[![GitHub](https://img.shields.io/badge/-GitHub%20Sponsors-fafbfc?logo=GitHub%20Sponsors)](https://github.com/sponsors/soywod)
[![PayPal](https://img.shields.io/badge/-PayPal-0079c1?logo=PayPal&logoColor=ffffff)](https://www.paypal.com/paypalme/soywod)
[![Ko-fi](https://img.shields.io/badge/-Ko--fi-ff5e5a?logo=Ko-fi&logoColor=ffffff)](https://ko-fi.com/soywod)
[![Buy Me a Coffee](https://img.shields.io/badge/-Buy%20Me%20a%20Coffee-ffdd00?logo=Buy%20Me%20A%20Coffee&logoColor=000000)](https://www.buymeacoffee.com/soywod)
[![Liberapay](https://img.shields.io/badge/-Liberapay-f6c915?logo=Liberapay&logoColor=222222)](https://liberapay.com/soywod)
